Class | Chef::Resource::Scm
In: | lib/chef/resource/scm.rb
Parent: | Chef::Resource

### Methods

depth destination enable_submodules group new remote repository revision ssh_wrapper svn_arguments svn_info_args svn_password svn_username user

### Public Class methods

new(name, run_context=nil)

### Public Instance methods

depth(arg=nil)

Capistrano and git-deploy use ``shallow clone’’

destination(arg=nil)
enable_submodules(arg=nil)
group(arg=nil)
remote(arg=nil)
repository(arg=nil)
revision(arg=nil)
ssh_wrapper(arg=nil)
svn_arguments(arg=nil)
svn_info_args(arg=nil)
svn_password(arg=nil)
svn_username(arg=nil)
user(arg=nil)

[Validate]